Package org.apache.felix.gogo.command

# Class Inspect

java.lang.Object
org.apache.felix.gogo.command.Inspect

public class Inspect extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CAPABILITY`
`static final String`
`NONSTANDARD_SERVICE_NAMESPACE`
`static final String`
`REQUIREMENT`

## Constructor Summary

Constructors
Constructor
Description
`Inspect(org.osgi.framework.BundleContext bc)`

## Method Summary

Modifier and Type
Method
Description
`void`
`inspect(String direction, String namespace, org.osgi.framework.Bundle[] bundles)`
`static void`
`printCapabilities(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)`
`static void`
`printRequirements(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONSTANDARD_SERVICE_NAMESPACE

public static final String NONSTANDARD_SERVICE_NAMESPACE

See Also:
  - Constant Field Values

### CAPABILITY

public static final String CAPABILITY

See Also:
  - Constant Field Values

### REQUIREMENT

public static final String REQUIREMENT

See Also:
  - Constant Field Values

## Constructor Details

### Inspect

public Inspect(org.osgi.framework.BundleContext bc)

## Method Details

### inspect

public void inspect(String direction, String namespace, org.osgi.framework.Bundle[] bundles)

### printCapabilities

public static void printCapabilities(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)

### printRequirements

public static void printRequirements(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)